QueryTestObject (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.security.query.data

## Class QueryTestObject

- java.lang.Object
- - org.apache.geode.security.query.data.QueryTestObject

- All Implemented Interfaces:
    java.io.Serializable

      public class QueryTestObject
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Date` | `dateField`
    `int` | `id`
    `java.util.Map<java.lang.Object,java.lang.Object>` | `mapField`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryTestObject(int id, java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getId()`
    `java.lang.String` | `getName()`
    `void` | `setDateField(java.lang.String dateString)`
    `java.lang.String` | `someMethod()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### id

          public int id

    - #### dateField

          public java.util.Date dateField

    - #### mapField

          public java.util.Map<java.lang.Object,java.lang.Object> mapField

  - ### Constructor Detail

    - #### QueryTestObject

          public QueryTestObject(int id,
                                 java.lang.String name)

  - ### Method Detail

    - #### getId

          public int getId()

    - #### getName

          public java.lang.String getName()

    - #### someMethod

          public java.lang.String someMethod()

    - #### setDateField

          public void setDateField(java.lang.String dateString)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`